#include <stdio.h>

// Funzione per calcolare il fattoriale di un numero
int fattoriale(int n) {
    if (n == 0 || n == 1) {
        return 1;
    } else {
        return n * fattoriale(n - 1);
    }
}

int main() {
    int n;

    // Richiedi all'utente di inserire un numero intero positivo
    printf("Inserisci un numero intero positivo: ");
    scanf("%d", &n);

    // Verifica che il numero inserito sia non negativo
    if (n < 0) {
        printf("Il numero deve essere non negativo.\n");
        return 1; // Termina il programma con un codice di errore
    }

    // Calcola il fattoriale e stampa il risultato
    int risultato = fattoriale(n);
    printf("Il fattoriale di %d è: %d\n", n, risultato);

    return 0;
}

